osg::AttributeDispatch Struct Reference

`#include <AttributeDispatchers>`

Inheritance diagram for osg::AttributeDispatch:

## Public Member Functions

virtual void | assign (const GLvoid *)
virtual void | operator() (unsigned int)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## assign()

virtual void osg::AttributeDispatch::assign | ( | const GLvoid * |  | ) |

inline virtual

## operator()()

virtual void osg::AttributeDispatch::operator() | ( | unsigned int |  | ) |

inline virtual

The documentation for this struct was generated from the following file:

- AttributeDispatchers